jQuery(document).ready(function($){

	/* =======================================================================
	 *
	 * Hide and show content type settings
	 *
	 * ==================================================================== */

	$('.' + nnr_ppa_add_edit_data.prefix + 'content-type').hide();
	$('.' + nnr_ppa_add_edit_data.prefix + 'content-type-' + $('input[name="' + nnr_ppa_add_edit_data.prefix + 'content-type"]:checked').val()).show();

	$('input[name="' + nnr_ppa_add_edit_data.prefix + 'content-type"]').change(function(){
		$('.' + nnr_ppa_add_edit_data.prefix + 'content-type').hide();
		$('.' + nnr_ppa_add_edit_data.prefix + 'content-type-' + $(this).val()).show();
	});

	$('.' + nnr_ppa_add_edit_data.prefix + 'placement').hide();
	$('.' + nnr_ppa_add_edit_data.prefix + 'placement-' + $('select[name="' + nnr_ppa_add_edit_data.prefix + 'placement"]').val()).show();

	$('select[name="' + nnr_ppa_add_edit_data.prefix + 'placement"]').change(function(){
		$('.' + nnr_ppa_add_edit_data.prefix + 'placement').hide();
		$('.' + nnr_ppa_add_edit_data.prefix + 'placement-' + $(this).val()).show();
	});

	$('.nnr-color-input').wpColorPicker();

	/* =======================================================================
	 *
	 * Self Hosted Ad
	 *
	 * ==================================================================== */

	// Ad Type

	$("." + nnr_ppa_add_edit_data.prefix + "ad-type").hide();
	$("." + nnr_ppa_add_edit_data.prefix + "ad-type-" + $("select[name='" + nnr_ppa_add_edit_data.prefix + "ad-type']").val()).show();

 	$("select[name='" + nnr_ppa_add_edit_data.prefix + "ad-type']").change(function() {
 		$("." + nnr_ppa_add_edit_data.prefix + "ad-type").hide();
 		$("." + nnr_ppa_add_edit_data.prefix + "ad-type-" + $(this).val()).show();
	});

	// Ad Image

	$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn').hide();
	$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn-remove').hide();

	if ( $('#' + nnr_ppa_add_edit_data.prefix + 'ad-image').val() == '' ) {
		$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn').show();
	} else {
		$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn-remove').show();
	}

	$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn').click(function(e) {
	    e.preventDefault();

		var custom_uploader = wp.media()

	    .on('select', function() {
	        var attachment = custom_uploader.state().get('selection').first().toJSON();
	        $('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-show').css('background-image', 'url(' + attachment.url + ')');
	        $('#' + nnr_ppa_add_edit_data.prefix + 'ad-image').val(attachment.id);

	        $('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn').hide();
			$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn-remove').show();
	    })
	    .open();
	});

	$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn-remove').click(function(){
		$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-show').css('background-image', '');
	    $('#' + nnr_ppa_add_edit_data.prefix + 'ad-image').val('');

	    $('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn').show();
		$('#' + nnr_ppa_add_edit_data.prefix + 'ad-image-btn-remove').hide();
	});

});