jQuery(document).ready(function($){

	// Create the page peel

	var element = 'body';

	$(element).peelback({
		data_id		: nnr_ppa_data.data_id,
		prefix   	: nnr_ppa_data.prefix,
		adImage     : nnr_ppa_data.image,
		peelImage   : nnr_ppa_data.peel_image,
		clickURL    : nnr_ppa_data.url,
		clickTarget : nnr_ppa_data.target,
		clickRel 	: nnr_ppa_data.rel,
		position	: nnr_ppa_data.position,
		smallSize   : 50,
		bigSize     : 500,
		gaTrack     : true,
		autoAnimate : true,
		debug       : false
	});

	// Track Impression

	nnr_ppa_record_impression(nnr_ppa_data.data_id);

	// Track Conversion

	$('#nnr-ppa-ad-image').click(function(){
		nnr_ppa_record_conversion(nnr_ppa_data.data_id);
	});

	/**
	 * Records an impression
	 *
	 * @access public
	 * @return void
	 */
	function nnr_ppa_record_impression(data_id) {

		$.post(nnr_ppa_data.ajaxurl, {
				'action': 'nnr_stats_record_impression_v1',
				'data_id': data_id,
				'table_name': nnr_ppa_data.stats_table_name
			}, function(response) {

			console.log(response);
		});

	}

	/**
	 * Records a conversion
	 *
	 * @access public
	 * @return void
	 */
	function nnr_ppa_record_conversion(data_id) {

		$.post(nnr_ppa_data.ajaxurl, {
				'action': 'nnr_stats_record_conversion_v1',
				'data_id': data_id,
				'table_name': nnr_ppa_data.stats_table_name
			}, function(response) {

			console.log(response);
		});

	}

});
